Bug 478230 - MIGRATED_FROM_JIRA: DN parser does not handle quoted data correctly
MIGRATED_FROM_JIRA: DN parser does not handle quoted data correctly
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:10 EST by Chandrasekar Kannan
Modified: 2018-02-07 15:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:10:29 EST
DNBuilder does not parse DNs with double quotes or escaped characters according to RFC 1779 and RFC 2253.

Example DNs that are incorrectly parsed:
1.3.6.1.4.1.1466.0=#04024869,O=Test,C=GB
CN=L. Eagle, O="Sue, Grabbit and Runn", C=GB
"dc=example,dc=com"

Additional Comments From ddunkin dated Wed Oct 03 17:25:37 CDT 2007 
Patch against branches/1.2. Includes test cases.

Additional Comments From endisd dated Thu Jan 24 21:13:54 CST 2008 
This issue has been fixed in Penrose 1.2.5 and 2.0.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'attachmentNames' => '260.patch',
          'reporter' => 'ddunkin',
          'key' => 'PENROSE-260',
          'assignee' => 'endisd',
          'summary' => 'DN parser does not handle quoted data correctly',
          'id' => '10874',
          'updated' => '2008-01-24 21:13:54.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-04-14 00:00:00.0',
                             'sequence' => '27',
                             'name' => 'Penrose-1.2.5',
                             'released' => 'true',
                             'id' => '10124',
                             'archived' => 'false'
                           },
                           {
                             'releaseDate' => '2008-04-07 00:00:00.0',
                             'sequence' => '28',
                             'name' => 'Penrose-2.0RC1',
                             'released' => 'true',
                             'id' => '10093',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'DNBuilder does not parse DNs with double quotes or escaped characters according to RFC 1779 and RFC 2253.

Example DNs that are incorrectly parsed:
1.3.6.1.4.1.1466.0=#04024869,O=Test,C=GB
CN=L. Eagle, O="Sue, Grabbit and Runn", C=GB
"dc=example,dc=com"
',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2007-07-17 00:00:00.0',
                                 'sequence' => '26',
                                 'name' => 'Penrose-1.2.4',
                                 'released' => 'true',
                                 'id' => '10123',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2007-10-03 17:19:37.0',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:10:31 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-260

Note You need to log in before you can comment on or make changes to this bug.